/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef SCORES_H
#  define SCORES_H



#  ifndef SCOREFILE
#    define SCOREFILE "./jomar3D-scores"
#  endif

#  define MAXCNAME 50
#  define MAXNAMES 9
#  define NSTORE 10
char name[MAXCNAME];
char names[MAXNAMES][MAXCNAME];
int games[MAXNAMES];
long unsigned int times[MAXNAMES][NSTORE];
long unsigned int steps[MAXNAMES][NSTORE];
int ncharmaxint, validatenextredisplay;
int namesee;

void validatename (void);


#endif /* guard */
